## zabbix 2.2.7+dfsg

=== debian/changelog ===
zabbix (1:2.2.7+dfsg-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/*.default:
      + Extended default config for agent and proxy.
    - debian/*.upstart:
      + Upstart support for all zabbix components.

 -- Artur Rona <ari-tczew@ubuntu.com>  Fri, 23 Jan 2015 23:38:19 +0100

zabbix (1:2.2.7+dfsg-2) unstable; urgency=high

  * CVE-2014-9450 (ZBX-8582) fixed SQL injection vulnerability
    in frontend (Closes: #774750).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 15 Jan 2015 10:54:58 +1100

zabbix (1:2.2.7+dfsg-1ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/*.default:
      + Extended default config for agent and proxy.
    - debian/*.upstart:
      + Upstart support for all zabbix components.

 -- Artur Rona <ari-tczew@ubuntu.com>  Mon, 17 Nov 2014 00:51:51 +0100

zabbix (1:2.2.7+dfsg-1) unstable; urgency=medium

  * New upstream release [October 2014].
  * Standards-Version: 3.9.6.
  * Copyright: added short license names where needed.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 28 Oct 2014 16:28:55 +1100

zabbix (1:2.2.6+dfsg-1) unstable; urgency=low

  * New upstream release [August 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 31 Aug 2014 13:42:40 +1000

zabbix (1:2.2.5+dfsg-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/*.default:
      + Extended default config for agent and proxy.
    - debian/*.upstart:
      + Upstart support for all zabbix components.
  * Dropped following changes, already fixed in Debian:
    - debian/control:
      + Fix FTBFS by B-D on libgcrypt11-dev | libgcrypt20-dev.

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 19 Aug 2014 07:40:37 +0200

zabbix (1:2.2.3+dfsg-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/*.default:
      + Extended default config for agent and proxy.
    - debian/*.upstart:
      + Upstart support for all zabbix components.
    - debian/control:
      - Fix FTBFS by B-D on libgcrypt11-dev | libgcrypt20-dev.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 26 Apr 2014 11:09:26 +0200
