## zabbix 2.2.10

=== debian/changelog ===
zabbix (1:2.2.10-1~dotdeb+7.1) oldstable; urgency=medium

  * Imported Upstream version 2.2.10
  * Patches refresh for 2.2.10
  * Enable automatic builds (watch + Dockerfiles)

 -- Guillaume Plessis <gui@dotdeb.org>  Fri, 28 Aug 2015 15:27:22 -0700

zabbix (1:2.2.9-1~dotdeb.1) stable; urgency=medium

  * Imported Upstream version 2.2.9

 -- Guillaume Plessis <gui@dotdeb.org>  Tue, 24 Mar 2015 23:20:14 -0700

zabbix (1:2.2.8-1~dotdeb.1) stable; urgency=medium

  * New upstream release

 -- Guillaume Plessis <gui@dotdeb.org>  Sat, 20 Dec 2014 15:12:42 -0700

zabbix (1:2.2.6-1~dotdeb.1) stable; urgency=medium

  * New upstream release
  * Sync with Debian

 -- Guillaume Plessis <gui@dotdeb.org>  Wed, 27 Aug 2014 07:04:42 -0700
