## zabbix 2.2.11

=== debian/changelog ===
zabbix (1:2.2.11-1~dotdeb+6.1) oldoldstable; urgency=medium

  * Imported Upstream version 2.2.11
  * Patches refresh for 2.2.11

 -- Guillaume Plessis <gui@dotdeb.org>  Thu, 12 Nov 2015 10:49:06 -0800

zabbix (1:2.2.10-1~dotdeb+6.1) oldoldstable; urgency=medium

  * Imported Upstream version 2.2.10
  * Patches refresh for 2.2.10
  * Enable automatic builds (watch + Dockerfiles)

 -- Guillaume Plessis <gui@dotdeb.org>  Fri, 28 Aug 2015 15:27:22 -0700

zabbix (1:2.2.9-1~dotdeb.0) oldstable; urgency=medium

  * Imported Upstream version 2.2.9

 -- Guillaume Plessis <gui@dotdeb.org>  Tue, 24 Mar 2015 23:24:28 -0700

zabbix (1:2.2.8-1~dotdeb.0) oldstable; urgency=medium

  * New upstream release

 -- Guillaume Plessis <gui@dotdeb.org>  Sat, 20 Dec 2014 15:15:42 -0700

zabbix (1:2.2.6-1~dotdeb.0) oldstable; urgency=medium

  * New upstream release
  * Sync with Debian

 -- Guillaume Plessis <gui@dotdeb.org>  Wed, 27 Aug 2014 07:04:42 -0700
