=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: zabbix
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Haas <haas@debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Guillaume Plessis <gui@dotdeb.org>
 Build-Depends: debhelper (>= 9), automake, dh-autoreconf
  ,libcurl4-gnutls-dev
  ,libgcrypt20-dev | libgcrypt-dev
@@ -26,7 +24,7 @@
                     ,liblogback-java
                     ,libslf4j-java
                     ,junit4
-Standards-Version: 3.9.6
+Standards-Version: 3.9.5
 Homepage: http://zabbix.com
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zabbix.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/zabbix.git
