## zabbix 2.2.23+dfsg

=== debian/changelog ===
zabbix (1:2.2.23+dfsg-0+deb8u6) jessie-security; urgency=medium

  * Fix NEWS files for individual packages.
  * Fix sqlite3 database scheme and warn in NEWS that a new database
    is required as zabbix does not update sqlite3 database, and
    users are supposed to start with new ones on updates.
    Closes: #1051300

 -- Tobias Frost <tobi@debian.org>  Sat, 21 Oct 2023 10:30:04 +0200

zabbix (1:2.2.23+dfsg-0+deb8u5) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS Team.
  * Backport patch for CVE-2013-7484: Insecure storage of passwords.
  * Disable guest user on new installs, warn via d/NEWS to disable it on
    existing installations. (CVE-2019-17382)
  * Mark CVE 2022-24917 as fixed in deb8u4, as this and -24349 and -24919 are
    fixed by the same patch.
  * Backport upstream patch for CVE-2022-43515 - potential disclosure
    of information during maintenance mode (Closes: #1026847).
  * Backport patch for CVE-2023-29450 - unauthorized filesystem access.
  * Backport patch for CVE-2023-29451 - JSON parser uses uninitialized buffer
    on invalid UTF-8.
  * Backport upstream patch CVE-2023-29455 - Reflected XSS in graph item
    properties.
  * Backport upstream patch for CVE-2023-29457 - Reflected XSS in Action form
    fields.
  * Backport upstream patch for CVE-2023-29456 - Inefficient URL schema
    validation

 -- Tobias Frost <tobi@debian.org>  Sat, 23 Sep 2023 18:21:25 +0200

zabbix (1:2.2.23+dfsg-0+deb8u4) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS Security Team.
  * Fix CVE-2022-24349, CVE-2022-24917 and CVE-2022-24919:
    An authenticated user can create a link with reflected Javascript code
    inside it for graphs and actions pages and send it to other users. The
    payload can be executed only with a known CSRF token value of the victim,
    which is changed periodically and is difficult to predict.

 -- Markus Koschany <apo@debian.org>  Sun, 10 Apr 2022 23:03:13 +0200

zabbix (1:2.2.23+dfsg-0+deb8u3) jessie-security; urgency=high
  
  * Non-maintainer upload by the ELTS Security Team.
  * CVE-2022-23134: after the initial setup process, some steps of
    setup.php file are reachable not only by super-administrators, but by
    unauthenticated users as well. Malicious actor can pass step checks
    and potentially change the configuration of Zabbix Frontend.

 -- Sylvain Beucler <beuc@debian.org>  Mon, 07 Feb 2022 21:31:25 +0100

zabbix (1:2.2.23+dfsg-0+deb8u2) jessie-security; urgency=high
  
  * Non-maintainer upload by the ELTS Security Team.
  * Fix binary-indep build.
  * CVE-2019-15132: Zabbix allows User Enumeration.
  * CVE-2020-11800: Zabbix allows remote attackers to execute arbitrary
    code.
  * CVE-2020-15803: Zabbix allows stored XSS in the URL Widget.
  
 -- Sylvain Beucler <beuc@debian.org>  Sat, 17 Apr 2021 19:43:44 +0200

zabbix (1:2.2.23+dfsg-0+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * New upstream release of the 2.2 LTS branch.
  * Rebase patches for new release. Drop all previous security fixes because
    they are now included in version 2.2.23.
  * Fix CVE-2016-10742:
    Zabbix allowed remote attackers to redirect to external links by misusing
    the request parameter.
  * This update also includes several other bug fixes and improvements. For
    more information please refer to the upstream changelog file.

 -- Markus Koschany <apo@debian.org>  Mon, 11 Mar 2019 13:16:44 +0100

zabbix (1:2.2.7+dfsg-2+deb8u3) jessie-security; urgency=medium

  * CVE-2017-2824 CVE-2017-2825

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 10 Aug 2017 05:05:27 +0200

zabbix (1:2.2.7+dfsg-2+deb8u2) jessie-security; urgency=medium

  * CVE-2016-10134 (Closes: #850936)

 -- Moritz Mühlenhoff <jmm@debian.org>  Fri, 03 Feb 2017 00:17:26 +0100

zabbix (1:2.2.7+dfsg-2+deb8u1) stable; urgency=medium

  * CVE-2016-4338 / ZBX-10741: fixed mysql.size shell command injection
    in zabbix-agent (Closes: #823329).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 28 May 2016 17:04:31 +1000
