## zabbix 2.4.6+dfsg

=== debian/changelog ===
zabbix (1:2.4.6+dfsg-1) unstable; urgency=low

  * New upstream release [August 2015].
  * rules/get-orig-source: reproducible sort.
  * postinst: maintainer-script-should-not-use-adduser-system-without-home.
  * systemd: forking services to "GuessMainPID=no" and ignore PID files.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 17 Aug 2015 19:35:50 +1000

zabbix (1:2.4.5+dfsg-1) unstable; urgency=low

  * New upstream release [April 2015].
  * Handle creation of "/var/run/zabbix" from .tmpfile.
  * Handle conffile removal from maintscript.
  * Relocated "missing-sources".
  * Updated Vcs-Browser URL.
  * Declared myself as Maintainer.
  * Replaced bundled "libjs-prototype" and "libjs-jquery-ui" with dh-linktree.
    Build-Depends:
    + dh-linktree
    + libjs-prototype
    + libjs-jquery-ui (>= 1.10.1)
  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Apr 2015 16:50:16 +1000

zabbix (1:2.4.4+dfsg-1) experimental; urgency=low

  * New upstream release [February 2015].
  * copyright: added "Files-Excluded" section.
  * Updated "config_debianisation.patch" to un-comment accidentally
    disabled "/etc/zabbix/zabbix_agentd.conf.d/*.conf" includes
    (Closes: #778377).
    Thanks, Harald Dunkel.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 19 Mar 2015 17:27:40 +1100

zabbix (1:2.4.3+dfsg-1) experimental; urgency=low

  * New upstream release [December 2014] (Closes: #762535).
  * Build-Depends:
    - libgcrypt20-dev | libgcrypt-dev
    + dh-systemd (>= 1.5)
  * Native systemd support; ".service" files for all daemons.
  * Removed "/etc/default" files; don't use them to control services.
  * Merged "TODO.Debian" into "README.source".
  * postinst: simplify user creation; drop obsolete cruft.
  * rules: "gzip -n" to correct L:package-contains-timestamped-gzip.
  * Dropped obsolete "openssl2gcrypt.patch".
  * Updated jQuery to version 1.10.2.
  * Added "virtual-mysql-server" as alternative to "mysql-server"
    (Closes: #769110). Thanks, Martin Bagge.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 08 Jan 2015 11:20:22 +1100
