=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: zabbix
 Section: net
 Priority: optional
-Maintainer: Guillaume Plessis <gui@dotdeb.org>
-Build-Depends: debhelper (>= 9), automake, dh-autoreconf
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Uploaders: Christoph Haas <haas@debian.org>
+Build-Depends: debhelper (>= 9), automake, dh-autoreconf, dh-systemd (>= 1.5), dh-linktree
  ,libcurl4-gnutls-dev
- ,libgcrypt20-dev | libgcrypt-dev
  ,libiksemel-dev
  ,libldap2-dev
  ,libmysqlclient-dev
@@ -17,6 +17,10 @@
  ,libxml2-dev
  ,pkg-config
  ,unixodbc-dev
+## dh-linktree:
+ ,libjs-prototype
+ ,libjs-jquery-ui (>= 1.10.1)
+# ,libjs-jquery (>= 1.10.1)
 ## java-gateway deps:
  ,javahelper
 Build-Depends-Indep: default-jdk
@@ -24,9 +28,9 @@
                     ,liblogback-java
                     ,libslf4j-java
                     ,junit4
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://zabbix.com
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/zabbix.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/zabbix.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/zabbix.git
 
 Package: zabbix-agent
@@ -94,7 +98,7 @@
 Package: zabbix-proxy-mysql
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
-Recommends: mysql-server
+Recommends: mysql-server | virtual-mysql-server
 Suggests: logrotate
 Conflicts: zabbix-proxy-pgsql, zabbix-proxy-sqlite3, zabbix-server-mysql, zabbix-server-pgsql, zabbix-server-sqlite3
 Description: network monitoring solution - proxy (using MySQL)
@@ -156,7 +160,7 @@
 Package: zabbix-server-mysql
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
-Recommends: mysql-server, snmpd
+Recommends: mysql-server | virtual-mysql-server, snmpd
 Suggests: zabbix-frontend-php, logrotate
 # SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
          ,snmp-mibs-downloader
