=== debian/rules ===
--- 
+++ 
@@ -73,7 +73,7 @@
 VARIANTS := MYSQL PGSQL SQLITE3
 
 %:
-	dh $@ --parallel --max-parallel=4 --with autoreconf,javahelper
+	dh $@ --parallel --max-parallel=4 --with autoreconf,javahelper,systemd,linktree
 
 override_dh_clean:
 	@echo "Removing build directories in $(BUILD_PREFIX)"
@@ -88,9 +88,9 @@
 DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
 override_dh_autoreconf:
 	@echo "Replacing sourceless (minified) bundled libraries..."
-	cp -vfH debian/patches/missing-source/jquery.js  frontends/php/js/jquery/jquery.js
-	cp -vfH debian/patches/missing-source/jquery-ui.js  frontends/php/js/jquery/jquery-ui.js
-	cp -vfH debian/patches/missing-source/activity-indicator.js  frontends/php/js/vendors/activity-indicator.js
+	cp -vfH debian/missing-sources/jquery.js  frontends/php/js/jquery/jquery.js
+	cp -vfH debian/missing-sources/jquery-ui.js  frontends/php/js/jquery/jquery-ui.js
+	cp -vfH debian/missing-sources/activity-indicator.js  frontends/php/js/vendors/activity-indicator.js
 	dh_autoreconf $(DH_AS_NEEDED)
 	## Copy the source directory (without the 'debian' directory) to build locations
 	## to configure and compile the sources there for each database flavor.
@@ -111,7 +111,7 @@
         dh_auto_build --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 \
     ;)
 
-build-indep: build-arch
+build-indep:
 	## build zabbix-java-gateway.jar
 	## override_jh_build:
 	JAVA_HOME=/usr/lib/jvm/default-java \
@@ -127,7 +127,7 @@
 	dh_install
 	for i in debian/zabbix-*-*; do \
 	    find $$i -type f -name '*.sql' -printf 'compressing %p\n' \
-	        -exec gzip -9 '{}' \;;\
+	        -exec gzip -n -9 '{}' \;;\
 	done
 	## Those files need to be renamed:
 	if [ -d "$(CURDIR)/debian/$(PKG_GATEWAY_JAVA)" ]; then \
@@ -145,12 +145,12 @@
 override_dh_installinit:
 	dh_installinit -p $(PKG_AGENT)
 	dh_installinit -p $(PKG_GATEWAY_JAVA)
-	dh_installinit -p $(PKG_PROXY_MYSQL) --name zabbix-proxy
-	dh_installinit -p $(PKG_PROXY_PGSQL) --name zabbix-proxy
-	dh_installinit -p $(PKG_PROXY_SQLITE3) --name zabbix-proxy
-	dh_installinit -p $(PKG_SERVER_MYSQL) --name zabbix-server
-	dh_installinit -p $(PKG_SERVER_PGSQL) --name zabbix-server
-	dh_installinit -p $(PKG_SERVER_SQLITE3) --name zabbix-server
+	dh_installinit -p $(PKG_PROXY_MYSQL) --name zabbix-proxy --no-start
+	dh_installinit -p $(PKG_PROXY_PGSQL) --name zabbix-proxy --no-start
+	dh_installinit -p $(PKG_PROXY_SQLITE3) --name zabbix-proxy --no-start
+	dh_installinit -p $(PKG_SERVER_MYSQL) --name zabbix-server --no-start
+	dh_installinit -p $(PKG_SERVER_PGSQL) --name zabbix-server --no-start
+	dh_installinit -p $(PKG_SERVER_SQLITE3) --name zabbix-server --no-start
 
 override_dh_builddeb:
 	dh_builddeb -- -Zxz
@@ -183,4 +183,4 @@
             frontends/php/images/flash \
             src/zabbix_java/lib/*.jar
 	@echo "# Packing..."
-	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
+	find -L "$(PKG)-$(VER)" -xdev -type f -print | LC_ALL=C sort \
