=== debian/watch ===
--- 
+++ 
@@ -7,4 +7,4 @@
 
 opts=\
 dversionmangle=s/\+dfsg//,\
- http://sf.net/zabbix/zabbix-(2\.2\.[0-9.]*)\.tar\.gz
+ http://sf.net/zabbix/zabbix-([0-9.]*)\.tar\.gz
