## zabbix 2.4.7+dfsg

=== debian/changelog ===
zabbix (1:2.4.7+dfsg-2ubuntu2.1) xenial; urgency=medium

  * d/control: add dependencies on split-out PHP7 packages (bcmath,
    mbstring, xml) needed by web frontend (LP: #1571534, .
  * debian/patches/always_populate_raw_post_data_not_in_php7.patch:
    Backport '[ZBX-9659] changed setup condition for checking
    always_populate_raw_post_data'.  Closes LP: #1572841.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 27 Jun 2016 17:03:29 -0700

zabbix (1:2.4.7+dfsg-2ubuntu2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 13:05:23 +0000

zabbix (1:2.4.7+dfsg-2ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1565922).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 04 Apr 2016 10:58:58 -0700

zabbix (1:2.4.7+dfsg-2) unstable; urgency=medium

  * Install "/etc/zabbix/zabbix_(server|proxy).conf.d" directories.
  * Use dh_apache2 to install Apache conf file;
    promoted "libapache2-mod-php5 | php5-fpm" to Recommends.
  * Updated Nginx configuration for compatibility with nginx (>= 1.6.1-2).
  * Install new Apache2 configuration example from Fedora.
  * Use system jQuery; Build-Deppends += "libjs-jquery (>= 1.10.1)".
  * control/servers: Recommends += "traceroute" to support "Traceroute" script.
  * control/Build-Depends: dropped obsolete "libsnmp9-dev" alternative.
  * control: updated Vcs URLs.
  * rules: fixed FTBFS when built with dpkg-buildpackage -A (Closes: #806665).
  * rules: drop get-orig-source in favour of new style uscan repackaging.
  * watch: update to version 4 syntax.
  * watch: to check RC releases.
  * Updated lintian-overrides.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 15 Feb 2016 10:19:51 +1100

zabbix (1:2.4.7+dfsg-1) unstable; urgency=medium

  * New upstream release [November 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 16 Nov 2015 09:37:38 +1100
