=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: zabbix
 Section: net
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: Christoph Haas <haas@debian.org>
-Build-Depends: debhelper (>= 9), automake, dh-autoreconf, dh-systemd (>= 1.5), dh-linktree
- ,libcurl4-gnutls-dev
- ,libiksemel-dev
- ,libldap2-dev
- ,libmysqlclient-dev
+Build-Depends: debhelper (>= 9), automake, dh-autoreconf, dh-systemd (>= 1.5), dh-linktree, apache2-dev
+    ,libcurl4-gnutls-dev
+    ,libiksemel-dev
+    ,libldap2-dev
+    ,libmysqlclient-dev
 # libopenipmi-dev is not available on some architectures
- ,libopenipmi-dev [!hurd-any !arm]
- ,libpq-dev
- ,libsnmp9-dev | libsnmp-dev
- ,libsqlite3-dev
- ,libssh2-1-dev
- ,libxml2-dev
- ,pkg-config
- ,unixodbc-dev
+    ,libopenipmi-dev [!hurd-any !arm]
+    ,libpq-dev
+    ,libsnmp-dev
+    ,libsqlite3-dev
+    ,libssh2-1-dev
+    ,libxml2-dev
+    ,pkg-config
+    ,unixodbc-dev
 ## dh-linktree:
- ,libjs-prototype
- ,libjs-jquery-ui (>= 1.10.1)
-# ,libjs-jquery (>= 1.10.1)
+    ,libjs-prototype
+    ,libjs-jquery-ui (>= 1.10.1)
+    ,libjs-jquery (>= 1.10.1)
 ## java-gateway deps:
- ,javahelper
+    ,javahelper
 Build-Depends-Indep: default-jdk
                     ,libandroid-json-org-java
                     ,liblogback-java
@@ -30,8 +31,8 @@
                     ,junit4
 Standards-Version: 3.9.6
 Homepage: http://zabbix.com
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/zabbix.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/zabbix.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/zabbix.git
+Vcs-Git: https://anonscm.debian.org/collab-maint/zabbix.git
 
 Package: zabbix-agent
 Architecture: any
@@ -56,13 +57,15 @@
 Package: zabbix-frontend-php
 Architecture: all
 Depends: ${misc:Depends}, ucf
-        ,apache2 | httpd
-        ,php5
-        ,php5-gd
-        ,php5-pgsql | php5-mysql | php5-sqlite
+        ,php
+        ,php-bcmath
+        ,php-gd
+        ,php-mbstring
+        ,php-pgsql | php-mysql | php-sqlite3
+        ,php-xml
         ,ttf-dejavu-core
-Recommends: php5-ldap
-Suggests: libapache2-mod-php5 | php5-fpm
+Recommends: ${misc:Recommends}, php-ldap
+           ,libapache2-mod-php | php-fpm
 Description: network monitoring solution - PHP front-end
  Zabbix is a server/client network monitoring system with many features.
  It can be used for:
@@ -161,6 +164,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
 Recommends: mysql-server | virtual-mysql-server, snmpd
+           ,traceroute
 Suggests: zabbix-frontend-php, logrotate
 # SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
          ,snmp-mibs-downloader
@@ -184,6 +188,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
 Recommends: postgresql, snmpd
+           ,traceroute
 Suggests: zabbix-frontend-php, logrotate
 # SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
          ,snmp-mibs-downloader
@@ -207,6 +212,7 @@
 #Architecture: any
 #Depends: ${shlibs:Depends}, ${misc:Depends}, fping, adduser, lsb-base
 #Recommends: snmpd
+#           ,traceroute
 #Suggests: logrotate
 # SNMP:   snmp-mibs-downloader (non-free) may be required when MIBs are missing, see #740815
 #         ,snmp-mibs-downloader
