=== debian/rules ===
--- 
+++ 
@@ -73,7 +73,7 @@
 VARIANTS := MYSQL PGSQL SQLITE3
 
 %:
-	dh $@ --parallel --max-parallel=4 --with autoreconf,javahelper,systemd,linktree
+	dh $@ --parallel --max-parallel=4 --with autoreconf,javahelper,systemd,linktree,apache2
 
 override_dh_clean:
 	@echo "Removing build directories in $(BUILD_PREFIX)"
@@ -82,25 +82,22 @@
 	$(RM) -v frontends/php/js/jquery/jquery.js \
                  frontends/php/js/jquery/jquery-ui.js \
                  frontends/php/js/vendors/activity-indicator.js
-	dh_clean
+	dh_clean \
+            *.jar
 
 # use --as-needed only if supported by dh-autoreconf (to simplify backporting)
 DH_AS_NEEDED=$(shell dpkg --compare-versions $$(dpkg --status dh-autoreconf | grep Version | cut -d' ' -f2) ge 6 && echo --as-needed)
 override_dh_autoreconf:
-	@echo "Replacing sourceless (minified) bundled libraries..."
-	cp -vfH debian/missing-sources/jquery.js  frontends/php/js/jquery/jquery.js
-	cp -vfH debian/missing-sources/jquery-ui.js  frontends/php/js/jquery/jquery-ui.js
-	cp -vfH debian/missing-sources/activity-indicator.js  frontends/php/js/vendors/activity-indicator.js
 	dh_autoreconf $(DH_AS_NEEDED)
+
+override_dh_auto_configure:
 	## Copy the source directory (without the 'debian' directory) to build locations
 	## to configure and compile the sources there for each database flavor.
 	for i in $(VARIANTS); do \
-		mkdir $(BUILD_PREFIX)-$$i ;\
-		tar -cSf - --exclude=./.svn --exclude=./debian . \
-		| tar -xSpf - -C $(BUILD_PREFIX)-$$i ;\
-	done
-
-override_dh_auto_configure:
+            mkdir $(BUILD_PREFIX)-$$i ;\
+            tar -cSf - --exclude=./.svn --exclude=./debian . \
+            | tar -xSpf - -C $(BUILD_PREFIX)-$$i ;\
+        done
 	$(foreach i,$(VARIANTS), \
         dh_auto_configure --sourcedirectory=$(BUILD_PREFIX)-$i --max-parallel=4 -- \
             $(CONFFLAGS_COMMON) $(CONFFLAG_IPMI) $(CONFFLAG_SERVER_$i) \
@@ -116,19 +113,25 @@
 	## override_jh_build:
 	JAVA_HOME=/usr/lib/jvm/default-java \
         CLASSPATH=/usr/share/java/json.jar:/usr/share/java/logback-core.jar:/usr/share/java/logback-classic.jar:/usr/share/java/slf4j-api.jar \
-        jh_build --no-javadoc --main=com.zabbix.gateway.JavaGateway debian/tmp-build-MYSQL/src/zabbix_java/zabbix-java-gateway.jar src/zabbix_java/src/com
+        jh_build --no-javadoc --main=com.zabbix.gateway.JavaGateway zabbix-java-gateway.jar src/zabbix_java/src/com
 
 override_dh_auto_install:
+	@echo "Replacing sourceless (minified) bundled libraries..."
+	cp -vfH debian/missing-sources/jquery.js  frontends/php/js/jquery/jquery.js
+	cp -vfH debian/missing-sources/jquery-ui.js  frontends/php/js/jquery/jquery-ui.js
+	cp -vfH debian/missing-sources/activity-indicator.js  frontends/php/js/vendors/activity-indicator.js
 	## build man pages
-	dh_auto_install --sourcedirectory=$(BUILD_PREFIX)-MYSQL/man \
-          --destdir=$(CURDIR)/debian/tmp
+	if [ -d "$(BUILD_PREFIX)-MYSQL/man" ]; then \
+            dh_auto_install --sourcedirectory=$(BUILD_PREFIX)-MYSQL/man \
+              --destdir=$(CURDIR)/debian/tmp ;\
+        fi
 
 override_dh_install:
 	dh_install
 	for i in debian/zabbix-*-*; do \
-	    find $$i -type f -name '*.sql' -printf 'compressing %p\n' \
-	        -exec gzip -n -9 '{}' \;;\
-	done
+            find $$i -type f -name '*.sql' -printf 'compressing %p\n' \
+                -exec gzip -n -9 '{}' \;;\
+        done
 	## Those files need to be renamed:
 	if [ -d "$(CURDIR)/debian/$(PKG_GATEWAY_JAVA)" ]; then \
             cp -v src/zabbix_java/lib/logback.xml  $(CURDIR)/debian/$(PKG_GATEWAY_JAVA)/etc/zabbix/zabbix_java_gateway.logback.xml ;\
@@ -142,6 +145,9 @@
         fi
 	jh_depends -v -p$(PKG_GATEWAY_JAVA)
 
+override_dh_apache2:
+	dh_apache2 --noenable
+
 override_dh_installinit:
 	dh_installinit -p $(PKG_AGENT)
 	dh_installinit -p $(PKG_GATEWAY_JAVA)
@@ -152,35 +158,3 @@
 	dh_installinit -p $(PKG_SERVER_PGSQL) --name zabbix-server --no-start
 	dh_installinit -p $(PKG_SERVER_SQLITE3) --name zabbix-server --no-start
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
-## http://wiki.debian.org/onlyjob/get-orig-source
-PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
-PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
-VER  ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{Version:\s*(?:\d:)?([\d\.]+)}')
-DTYPE = +dfsg
-.PHONY: get-orig-source
-get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
-	@
-
-$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
-	@echo "# Downloading..."
-	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
-	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
-	@echo "# Extracting..."
-	mkdir $(PKG)-$(VER) \
-        && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
-        || $(RM) -r $(PKG)-$(VER)
-	# Fix permissions (some images files are executable in orig.tars)
-	find $(PKG)-$(VER)/frontends/php/images -type f -executable -print -exec chmod a-x '{}' \;
-	@echo "# Cleaning-up..."
-	cd $(PKG)-$(VER) \
-        && find . -type f -name '*.exe' -delete -printf 'removed %p\n' \
-        && $(RM) -r -v \
-            bin/win*/dev/*.dll \
-            bin/win*/dev/*.lib \
-            frontends/php/images/flash \
-            src/zabbix_java/lib/*.jar
-	@echo "# Packing..."
-	find -L "$(PKG)-$(VER)" -xdev -type f -print | LC_ALL=C sort \
