## zabbix 3.0.3+dfsg

=== debian/changelog ===
zabbix (1:3.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release [May 2016].
  * CVE-2016-4338 / ZBX-10741: fixed mysql.size shell command injection in
    zabbix-agent (Closes: #823329).
  * Corrected Vcs-Git URL.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 21 May 2016 15:01:05 +1000

zabbix (1:3.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release [April 2016].
  * Adjust for package split in php7.0_7.0.3-6;
    Depends += "php-bcmath, php-mbstring, php-xml".
  * Standards-Version: 3.9.8.
  * Removed obsolete "php7.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 22 Apr 2016 07:38:33 +1000

zabbix (1:3.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release [February 2016].
  * Standards-Version: 3.9.7.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 27 Feb 2016 01:42:05 +1100

zabbix (1:3.0.0+dfsg-2) unstable; urgency=low

  * servers: install "/etc/sudoers.d" directory (Closes: #815647).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 23 Feb 2016 22:30:33 +1100

zabbix (1:3.0.0+dfsg-1) unstable; urgency=low

  * New upstream release [February 2016].
  * Updated Apache2 configuration.
  * (Re-)build localisations.
    + Build-Depends-Indep += "gettext".
  * logrotate: "daily" --> "weekly" + "delaycompress".
  * systemd: services to run in foreground mode + Type=simple.
  * frontend-php:
    + Don't install .po files to reduce size of the installed package.
    + Switched to default PHP (i.e. PHP7).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 22 Feb 2016 11:03:54 +1100

zabbix (1:3.0.0~rc2+dfsg-1) experimental; urgency=medium

  * New upstream release candidate [February 2016].
    + Build using "--with-gnutls";
    + Build-Depends += "libgnutls28-dev | gnutls-dev".
  * Added support for new servers' "Detect operating system" script:
    + Suggests += sudo
    + Recommends += nmap
    + Install "etc/sudoers.d/zabbix" file.
  * Dropped obsolete patches:
    - manpages-fix.patch
    - no-swf-clock.patch

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 15 Feb 2016 11:33:11 +1100
